@ECHO off

ECHO.
ECHO Quectel EM061K USB Driver Software Package for Windows 10/11 64bit
ECHO.
CLS
setlocal enabledelayedexpansion

:: BatchGotAdmin
:-------------------------------------
REM  --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"

REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    goto UACPrompt
) else ( goto gotAdmin )

:UACPrompt
    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
    echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs"

    "%temp%\getadmin.vbs"
    exit /B

:gotAdmin
    if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )
    pushd "%CD%"
    CD /D "%~dp0"
:-----------------------------------------------------------------------------------


CALL pnputil.exe /add-driver "%~dp0qusbccgp.inf" /install
timeout /t 5

CALL pnputil.exe /add-driver "%~dp0qcser.inf" /install
timeout /t 5

CALL pnputil.exe /add-driver "%~dp0qcmdm.inf" /install
timeout /t 5

CALL pnputil.exe /add-driver "%~dp0qdbusb.inf" /install
timeout /t 5

CALL pnputil.exe /add-driver "%~dp0QmuxMdm.inf" /install
timeout /t 5

CALL pnputil.exe /add-driver "%~dp0QmuxMdmExtension.inf" /install
timeout /t 5

CALL pnputil.exe /add-driver "%~dp0qcwifinotifiersrvc.inf" /install
timeout /t 5

CALL pnputil.exe /add-driver "%~dp0qcgnss.inf" /install
timeout /t 5

CALL pnputil.exe /add-driver "%~dp0fw\QuectelFwUpdateDriverEM061KGL.inf" /install
timeout /t 5

@echo The driver is installed completely.

:END